POST api/iocardtypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
IOCardTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| description | string |
Required |
|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"description": "sample string 3",
"id": "fc8f853f-ad94-421e-ada9-a87ca432c5b4",
"type": "sample string 5"
}
application/xml, text/xml
Sample:
<io_card_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <description>sample string 3</description> <id>fc8f853f-ad94-421e-ada9-a87ca432c5b4</id> <type>sample string 5</type> </io_card_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"5e91aa1c-1898-4ec0-b2e2-9b0e727a60f5"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5e91aa1c-1898-4ec0-b2e2-9b0e727a60f5</guid>